package kr.co.springframework.controller;

import kr.co.springframework.domain.Task;
import kr.co.springframework.task.service.TaskService;
import kr.co.springframework.validator.TaskValidator;

import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.SimpleFormController;

public abstract class TaskFormController extends SimpleFormController {

	protected TaskService taskService;

	public TaskFormController() {
		setCommandClass(Task.class);
		setCommandName("task");
		setSuccessView("task/list");
		setValidator(new TaskValidator());
	}

	public void setTaskService(TaskService taskService) {
		this.taskService = taskService;
	}

	@Override
	protected ModelAndView onSubmit(Object command) throws Exception {
		Task task = (Task)command;
		doService(task);
		return new ModelAndView(getSuccessView())
			.addObject("taskList", taskService.getTaskList());
	}

	abstract void doService(Task task);

}