package kr.co.springframework.task.service;

import java.util.Date;
import java.util.List;

import kr.co.springframework.domain.Task;
import kr.co.springframework.task.dao.TaskDao;

public class TaskServiceImpl implements TaskService{

	private TaskDao taskDao;

	public void setTaskDao(TaskDao taskDao) {
		this.taskDao = taskDao;
	}

	@Override
	public void add(Task task) {
		task.setEnrolled(new Date());
		taskDao.add(task);
	}

	@Override
	public List<Task> getTaskList() {
		return taskDao.getAll();
	}

	@Override
	public Task get(Integer id) {
		return taskDao.get(id);
	}

	@Override
	public void delete(Integer id) {
		taskDao.deleteById(id);
	}

	@Override
	public void update(Task task) {
		task.setEnrolled(new Date());
		taskDao.update(task);
	}

}
